Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Class TopologyLevel

    Object
      CodeList<TopologyLevel>
          TopologyLevel

All Implemented Interfaces:
  Serializable, Comparable<TopologyLevel>

    @UML(identifier="MD_TopologyLevelCode",
         specification=ISO_19115)
    public final class TopologyLevel

extends CodeList<TopologyLevel>

Degree of complexity of the spatial relationships.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static TopologyLevel` | `ABSTRACT` Topological complex without any specified geometric realization.
`static TopologyLevel` | `FULL_PLANAR_GRAPH` 2-dimensional topological complex which is planar.
`static TopologyLevel` | `FULL_SURFACE_GRAPH` 2-dimensional topological complex which is isomorphic to a subset of a surface.
`static TopologyLevel` | `FULL_TOPOLOGY_3D` Complete coverage of a 3D coordinate space.
`static TopologyLevel` | `GEOMETRY_ONLY` Geometry objects without any additional structure which describes topology.
`static TopologyLevel` | `PLANAR_GRAPH` 1-dimensional topological complex which is planar.
`static TopologyLevel` | `SURFACE_GRAPH` 1-dimensional topological complex which is isomorphic to a subset of a surface.
`static TopologyLevel` | `TOPOLOGY_1D` 1-dimensional topological complex.
`static TopologyLevel` | `TOPOLOGY_3D` 3-dimensional topological complex.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static TopologyLevel` | `valueOf(String code)` Returns the TopologyLevel that matches the given string, or returns a new one if none match it.
`static TopologyLevel[]` | `values()` Returns the list of `TopologyLevel`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GEOMETRY_ONLY

    @UML(identifier="geometryOnly",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel GEOMETRY_ONLY

  Geometry objects without any additional structure which describes topology.

### TOPOLOGY_1D

    @UML(identifier="topology1D",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel TOPOLOGY_1D

  1-dimensional topological complex.

### PLANAR_GRAPH

    @UML(identifier="planarGraph",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel PLANAR_GRAPH

  1-dimensional topological complex which is planar.

### FULL_PLANAR_GRAPH

    @UML(identifier="fullPlanarGraph",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel FULL_PLANAR_GRAPH

  2-dimensional topological complex which is planar.

### SURFACE_GRAPH

    @UML(identifier="surfaceGraph",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel SURFACE_GRAPH

  1-dimensional topological complex which is isomorphic to a subset of a surface.

### FULL_SURFACE_GRAPH

    @UML(identifier="fullSurfaceGraph",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel FULL_SURFACE_GRAPH

  2-dimensional topological complex which is isomorphic to a subset of a surface.

### TOPOLOGY_3D

    @UML(identifier="topology3D",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel TOPOLOGY_3D

  3-dimensional topological complex.

### FULL_TOPOLOGY_3D

    @UML(identifier="fullTopology3D",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel FULL_TOPOLOGY_3D

  Complete coverage of a 3D coordinate space.

### ABSTRACT

    @UML(identifier="abstract",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final TopologyLevel ABSTRACT

  Topological complex without any specified geometric realization.

Method Detail

### values

    public static TopologyLevel[] values()

  Returns the list of `TopologyLevel`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<TopologyLevel>`

### valueOf

    public static TopologyLevel valueOf(String code)

  Returns the TopologyLevel that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.